UUID_COMPARE(3)

NOM
uuid_compare - Comparer deux UUID

SYNOPSIS

#include <uuid.h>

int uuid_compare(const uuid_t uu1, const uuid_t uu2)

DESCRIPTION

La fonction uuid_compare() compare les deux variables d’UUID uu1 et uu2 entre elles.

VALEUR RENVOYÉE

La fonction renvoie un entier inférieur à zéro, nul ou supérieur à zéro si uu1 est respectivement inférieur, égal ou supérieur à uu2 dans l’ordre lexicographique.

AUTEURS

Theodore Y. Ts’o

VOIR AUSSI

uuid(3), uuid_clear(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3), uuid_parse(3), uuid_unparse(3)

DISPONIBILITÉ

La bibliothèque libuuid fait partie du paquet util-linux depuis la version 2.15.1. Elle est disponible sur